Package com.independentsoft.office.odf.styles

# Class TabStop

java.lang.Object
com.independentsoft.office.odf.styles.TabStop

public class TabStop extends Object
Represents a tab stop.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabStop()`
  Initializes a new instance of the TabStop class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TabStop`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getDelimiter()`
  Gets the delimiter character for tab stops of type char.
  `String`
  `getLeaderLineColor()`
  Gets the color of a leader line.
  `LineStyle`
  `getLeaderLineStyle()`
  Gets the style for a leader line.
  `LineType`
  `getLeaderLineType()`
  Specifies whether a leader line should be drawn, and if so, whether a single or double line will be used.
  `String`
  `getLeaderLineWidth()`
  Gets the width of a leader line.
  `String`
  `getLeaderText()`
  Gets the single Unicode character for use as leader text for tab stops.
  `String`
  `getLeaderTextStyle()`
  Gets the text style that is applied to a textual leader.
  `String`
  `getPosition()`
  Gets the position of a tab stop.
  `TabStopType`
  `getType()`
  Gets the type of a tab stop.
  `void`
  `setDelimiter​(String delimiter)`
  Sets the delimiter character for tab stops of type char.
  `void`
  `setLeaderLineColor​(String leaderLineColor)`
  Sets the color of a leader line.
  `void`
  `setLeaderLineStyle​(LineStyle leaderLineStyle)`
  Sets the style for a leader line.
  `void`
  `setLeaderLineType​(LineType leaderLineType)`
  Specifies whether a leader line should be drawn, and if so, whether a single or double line will be used.
  `void`
  `setLeaderLineWidth​(String leaderLineWidth)`
  Sets the width of a leader line.
  `void`
  `setLeaderText​(String leaderText)`
  Sets the single Unicode character for use as leader text for tab stops.
  `void`
  `setLeaderTextStyle​(String leaderTextStyle)`
  Sets the text style that is applied to a textual leader.
  `void`
  `setPosition​(String position)`
  Sets the position of a tab stop.
  `void`
  `setType​(TabStopType type)`
  Sets the type of a tab stop.
  `String`
  `toString()`
  Converts the value of the current TabStop object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TabStop

    public TabStop()
    Initializes a new instance of the TabStop class.

- ## Method Details

  - ### clone

    public TabStop clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current TabStop object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getPosition

    public String getPosition()
    Gets the position of a tab stop.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(String position)
    Sets the position of a tab stop.
    Parameters:
      `position` - the new position

  - ### getType

    public TabStopType getType()
    Gets the type of a tab stop.
    Returns:
      the type

  - ### setType

    public void setType​(TabStopType type)
    Sets the type of a tab stop.
    Parameters:
      `type` - the new type

  - ### getDelimiter

    public String getDelimiter()
    Gets the delimiter character for tab stops of type char.
    Returns:
      the delimiter

  - ### setDelimiter

    public void setDelimiter​(String delimiter)
    Sets the delimiter character for tab stops of type char.
    Parameters:
      `delimiter` - the new delimiter

  - ### getLeaderLineType

    public LineType getLeaderLineType()
    Specifies whether a leader line should be drawn, and if so, whether a single or double line will be used.
    Returns:
      the leader line type

  - ### setLeaderLineType

    public void setLeaderLineType​(LineType leaderLineType)
    Specifies whether a leader line should be drawn, and if so, whether a single or double line will be used.
    Parameters:
      `leaderLineType` - the new leader line type

  - ### getLeaderLineStyle

    public LineStyle getLeaderLineStyle()
    Gets the style for a leader line.
    Returns:
      the leader line style

  - ### setLeaderLineStyle

    public void setLeaderLineStyle​(LineStyle leaderLineStyle)
    Sets the style for a leader line.
    Parameters:
      `leaderLineStyle` - the new leader line style

  - ### getLeaderLineWidth

    public String getLeaderLineWidth()
    Gets the width of a leader line.
    Returns:
      the leader line width

  - ### setLeaderLineWidth

    public void setLeaderLineWidth​(String leaderLineWidth)
    Sets the width of a leader line.
    Parameters:
      `leaderLineWidth` - the new leader line width

  - ### getLeaderLineColor

    public String getLeaderLineColor()
    Gets the color of a leader line.
    Returns:
      the leader line color

  - ### setLeaderLineColor

    public void setLeaderLineColor​(String leaderLineColor)
    Sets the color of a leader line.
    Parameters:
      `leaderLineColor` - the new leader line color

  - ### getLeaderText

    public String getLeaderText()
    Gets the single Unicode character for use as leader text for tab stops.
    Returns:
      the leader text

  - ### setLeaderText

    public void setLeaderText​(String leaderText)
    Sets the single Unicode character for use as leader text for tab stops.
    Parameters:
      `leaderText` - the new leader text

  - ### getLeaderTextStyle

    public String getLeaderTextStyle()
    Gets the text style that is applied to a textual leader.
    Returns:
      the leader text style

  - ### setLeaderTextStyle

    public void setLeaderTextStyle​(String leaderTextStyle)
    Sets the text style that is applied to a textual leader.
    Parameters:
      `leaderTextStyle` - the new leader text style